﻿using System.Web;
using System.Web.Optimization;

namespace BrowserGraphics {
  public class BundleConfig {
    // For more information on bundling, visit http://go.microsoft.com/fwlink/?LinkId=301862
    public static void RegisterBundles(BundleCollection bundles) {
      bundles.Add(new ScriptBundle("~/bundles/jquery").Include(
                  "~/Scripts/jquery-{version}.js"));

      bundles.Add(new ScriptBundle("~/bundles/jqueryval").Include(
                  "~/Scripts/jquery.validate*"));

      // Use the development version of Modernizr to develop with and learn from. Then, when you're
      // ready for production, use the build tool at http://modernizr.com to pick only the tests you need.
      bundles.Add(new ScriptBundle("~/bundles/modernizr").Include(
                  "~/Scripts/modernizr-*"));

      bundles.Add(new ScriptBundle("~/bundles/bootstrap").Include(
                "~/Scripts/bootstrap.js",
                "~/Scripts/respond.js"));

      bundles.Add(new StyleBundle("~/Content/css").Include(
                "~/Content/bootstrap.css",
                "~/Content/site.css",
                "~/Content/angular-awesome-slider.min.css"
                ));

      bundles.Add(new ScriptBundle("~/bundles/angular").Include("~/Scripts/angular.js",
                                                                "~/Scripts/angular-route.js",
                                                                "~/Scripts/OpenSource/angular-awesome-slider.js",
                                                                "~/Scripts/OpenSource/bessel.js"
                                                                ));

      bundles.Add(new ScriptBundle("~/bundles/app").Include("~/Scripts/app/App.js",
                                                            "~/Scripts/app/Utils.js",
                                                            "~/Scripts/app/Midi.js",
                                                            "~/Scripts/app/Circles.js",
                                                            "~/Scripts/app/Graphics.js",
                                                            "~/scripts/app/Rotors.js",
                                                            "~/scripts/app/Animations.js",
                                                            "~/Scripts/app/Controllers.js",
                                                            "~/Scripts/app/Colors.js"
                                                            ));
    }
  }
}
