﻿/// Careful Triangles and Artful Graphics
/// Copyright (c) 2018 by Howard I. Cannon - MIT License

"use strict";

var thisApp = angular.module('thisApp', [
  'ngRoute',
  'thisControllers',
  'angularAwesomeSlider'
]);

var urlArgs={};

thisApp.config([
  '$routeProvider', '$locationProvider',
  function($routeProvider, $locationProvider) {
    $locationProvider.html5Mode(true);
    $locationProvider.hashPrefix('!');
    $routeProvider.when('/index', {
      templateUrl: 'partials/index',
      controller: 'IndexCtrl'
    }).when('/triangles', {
      templateUrl: 'partials/load/triangles',
      controller: 'TriangleCtrl'
    }).when('/triangleanimate', {
      templateUrl: 'partials/load/triangleanimate',
      controller: 'TriangleAnimateCtrl'
    }).when('/circleanimate', {
      templateUrl: 'partials/load/circleanimate',
      controller: 'CircleAnimateCtrl'
    }).when('/artcircle', {
      templateUrl: 'partials/load/artcircle',
      controller: 'ArtCircleCtrl'
    }).otherwise({redirectTo: function(params, path, search) {
                                urlArgs=search;
                                return '/index'; }
                 });
    return;
  }
]);
