/// Careful Triangles and Artful Graphics
/// Utility definitions
/// Copyright (c) 2018 by Howard I. Cannon - MIT License

"use strict";

var pi=Math.PI, e=Math.E;

function supplied(x) {
  return (typeof(x)!=="undefined");
}

function defarg(x, y) {
  if (!supplied(x)) x=y;
  return x;
}

function zround(n, divisor) {
  if (!supplied(divisor)) divisor=1;
  return Math.round(n/divisor);
}

function sign(n) {
  if (n>0) return 1;
  else if (n<0) return -1;
  else return 0;
}

function isOdd(n) {
  return !!(n&1);
}

if (!Number.isInteger) {
  Number.isInteger=function(n) {return (n==Math.round(n));}
}

function funkify(data, defval) {
  if (typeof(data)==="undefined") data=defval;
  if (typeof(data)==="function") return data;
  return (function(n) {return data;});
}

