;;; -*- Package: COMMON-LISP-USER; Base: 10; Mode: LISP; Syntax: Common-lisp -*-

(DEFUN BEFOREHAND (&AUX (HYPERBOLAS (GET-IMAGE "textured-hyperbolas")))
 ; (TV:ADD-FUNCTION-KEY #\z 'ZOINK-PAN "Reset pan and zoom")
  (GET-FONT 'FONTS:CYR12) (GET-FONT 'FONTS:TR8) ;(GET-FONT 'FONTS:BIGVG)
  (get-font 'fonts:mets) (get-font 'fonts:metsi)
  (GET-FONT 'FONTS:AMEX10-1440) (GET-FONT 'FONTS:AMSY5-1440)
  #||(MAKE-LO-RES-SCREEN)||# (send (GET-COLOR-WINDOW):set-label 'nil)
  (BLACK-COLOR-MAP 1)
  (SEND COLOR-WINDOW :EXPOSE)
  (SEND COLOR:COLOR-SCREEN :SET-BOW-MODE '())
  (COLOR:VIEW-IMAGE COLOR-WINDOW HYPERBOLAS)
  (PAGE-OUT-IMAGE HYPERBOLAS)
  (GET-CLIP *KHINCHIN-CLIP* #'MAKE-KHINCHIN-CONTINUED-FRACTION)
  (PAGE-OUT-CLIP *KHINCHIN-CLIP*)
  (GET-CLIP *LATE-PI-CLIP* #'MAKE-LATE-PI-CONTINUED-FRACTION)
  (PAGE-OUT-CLIP *LATE-PI-CLIP*)
  (GET-CLIP *PI-CLIP* #'MAKE-PI-CONTINUED-FRACTION)
  (PAGE-OUT-CLIP *PI-CLIP*)
  (GET-IMAGE "comprander-hyperbolas")) 

; Last time..., my talk and my slides were so weird that some people complained of being
; exhausted and confused.  By way of remedy, we have here amassed an array of video hardware
; so expensive that it can actually reduce mathematics to the intellectual level of daytime TV.
; So, kick back, shift your brain into neutral, and let's watch some pictures whose sole intent
; is to leave you RELAXED and confused.  We begin our daytime viewing with, of course, a quiz show.

(DEFUN PART-1 ()
  (IVE-GOT-A-FUNCTION)
     ;increasing without bound
       (ONE-BIT-COLOR-MAP 16 1) (SEND COLOR:COLOR-SCREEN :NEW-CONTROL) (ZOINK-PLANE (LSH 16 8))
       (send cantor-hashes :page-in-array)
       (MAKE-CANTOR-PLOT) (READ-CHAR)
     ; Describes behavior of congress:  whenever you look, they're reducing taxes, but you always
     ; wind up paying more than you used to.  Also describes amount of work remaining on any given
     ; project.
       (PERFORM-plane-MOVIE 2 0)
     ; note perspectivish illusion, like driving along a mountainscape, despite flat 3 by 2 zoom.
     ; inane bassoon music such as accompanies educational programs about walruses.
       (BOX-CANTOR-MOVIE) (BOX-MOVIE)
     ; foreground and background color pairs are swapping places each zoom period by antipodal
     ; orbiting in color space.
       (MEMOIZE-TEXT) (READ-CHAR)
     ; Frequently when a function is defined recursively like this, it pays to memoize.
     ; Memoizing mechanism useful here because tails of ternary expansions will coincide.
     ; But this is not an effective definition for a computer, without the continuity constraint.
     ; But the mechanism can be extended to detect circularities in recursive
     ; definition, and, instead of erring, exploiting f's continuity to determine the exact fixed
     ; point of pending transformations accumulated between duplicate invocations.
     ; Program even determines that f(0) = 0 in this manner.
       (SEND CF-BIN-HASHES :page-in-array)
     ; An almost-permutation of the unit interval where the output is the sum of powers of two
     ; whose separations are the continued fraction quotients of the input.
       (MAKE-CF-BIN-PLOT) (READ-CHAR)
     ; This graph is composed of mirror images of itself at various elevations.
       (BOX-CF-BIN-PLOT)
     ; This function makes it easy to visualize the c.f. of the abscissas.  Every number starting
     ; with 1 lies above this right half, 1 1 lies in here, ... , so the function reaches its maximum
     ; of 1 = #r2.11111... at 1/phi = .618.  You can build up the whole graph out of boxes this way.
     ; By the way, if this 1,2,3 business makes you think you're watching Sesame street, this time it's
     ; not my fault.  It's a actually perceptual phenomenon:  ANY presentation following one by
     ; the Chudnovskys looks like Sesame Street.
)

(DEFUN PART-2 (&AUX (HYPERBOLAS (GET-IMAGE "comprander-hyperbolas")))
      (PERFORM-plane-MOVIE 3 5)
    ; Imagine punk rock video music here, as we achieve an effect both meaningless and exciting,
    ; just like real TV.  [End]
      (SHOW-TEXTURED-HYPERBOLAS)
    ; Isotropic zoom can be reinforced by [Space] ramping up some rectangular texture, this time
    ; fractal.  If I slide off the hyperbolas here, it's kind of fun just watching the texture...
    ; If I can stop it at a point of high contrast, those of you who have been staring too
    ; intently will see it seem to contract, in an interesting variation on the moving bar illusion.
    ; [Arrest]  Please do not adjust your set.
    ; The illusion is based on zooming by a factor of 2 while drifting the colors toward a point
    ; where snapping back to double resolution is inconspicuous by virtue of a simultaneous color
    ; reassignment which approximates in halftones the colors of the immediately preceding image.
    ; The amount of red, e.g, that seems to come from the equal-halftoning of two colors is
    ; gamma power mean of the red components of those colors, where gamma for most video screens
    ; is about 2.2.  But the point here is not so much mathematical as admonitory:  Someday soon,
    ; your wallpaper will be doing this.  It will be Marketed under the ambiguous slogan:  Off the
    ; Wallpaper.  [End!]
      (BLACK-COLOR-MAP 1)
      (COLOR:VIEW-IMAGE COLOR-WINDOW HYPERBOLAS)
      (SHOW-COMPRANDER-HYPERBOLAS)
    ; Yes, friends, our continuously expanding family of rectangular hyperbolas touches your life in
    ; many ways.  But, as David Horowitz would say, beware of imitations!  [End]
      (SHOW-COMPRANDER)
      (PAGE-OUT-IMAGE HYPERBOLAS)
    ; (cf-text)?
    ; Drawing pictures of functions is old hat.  How about pictures of numbers?
    ; Here is a picture of pi.  That is, this rectangle has an aspect ratio of precisely pi.
      (PAGE-IN-CLIP *PI-CLIP* 'NIL)
      (SLIDE-24-BIT-CLIP *PI-CLIP*)
    ; More precisely, the colors give us a picture of pi's continued fraction.
    ; By depleting from the left or bottom the largest remaining subsquare, the census of squares of
    ; each successive size comprises the successive partial quotients (terms).  The numeric display of the
    ; partial quotients is colored according to the leftmost or bottommost visible subsquare belonging
    ; to that term.  The full-speed zoom is >2 orders of mag/sec, constant information rate, but
    ; jerky display slide, due to uneven information density in typical c.f.

    ; Now here comes Dan Rather with that weekly documentary whose accuracy is so impeccable
    ; that you feel truly edified:
      (PAGE-OUT-CLIP *PI-CLIP*)
    ; Squandering dimensions.  Paying to have ...   
      (60-MINUTES) ;[no tyi!]
      (PAGE-IN-CLIP *LATE-PI-CLIP*)
      (SLIDE-24-BIT-CLIP *LATE-PI-CLIP*))

(DEFUN PART-2.5 ()
  (PAGE-OUT-CLIP *LATE-PI-CLIP*)
    ; Rhona Barrett's gossip file.  Numerical hypocrisy?
      (khinchin-text)
      (PAGE-IN-CLIP *KHINCHIN-CLIP*)
      (SLIDE-24-BIT-CLIP *KHINCHIN-CLIP*))

(DEFUN part-3 ()
      (STEP-COLOR-MAP 0 'T)
    ; Another way to portray functions is by feeding e^it to their powerseries, producing a sum of
    ; frequencies and amplitudes [and phases].
      (GIBBS-SQUARE)
    ; On each cycle, the central aggregate annexes another rotor.
    ; [Zoom.]  So Fourier, had he lived earlier, could have said:  Big deal Ptolemy, with
    ; epicycles you could have planets running around in squares, and  maybe stopping at the
    ; corners!  Or maybe NOT stopping at the corners of triangles.
      (SMOOTH-TRI)
      (stop-tri :r 222 :colorf '(nth n '(1 2 3 3 3 3 3 3 3 3 3)))
    ; Omitting the fundamental, and stopping after half a period, ... Not ALL TV is bad!
      (EVAL TOTEM)
    ; With Bessel coefficients, we animate frequency modulation:  sin (4 sin t) cos (4 sin t)
     (bessER :N 13 :DT 1/256 :AMP 4 :COLORF #'ONE :FUN #'ROTOR)
    ; The peculiar orthogonal "blooming" at the extrema persist for all values of 4, and is
    ; probably not mentioned in Watson's Treatise.  The sequential version of this one looks slow
    ; to get started, because the low frequency terms start out small.  But
    ; eventually, late into the evening, we get into the X-rated stuff--the Devil in Miss Bessel?
      (besser :R 199 :N 11 :DT 1/256 :AMP 3.5)
 ; That seems to be all we have time for today, folks.  I hope you were entertained.  And just
 ; like with real TV, there was always that small but finite danger of actually learning something.
)